Loading...
Searching...
No Matches
kdtrav Struct Reference

k-d tree traversal More...

`#include <kdtree.h>`

Collaboration diagram for kdtrav:
[legend]

## Data Fields

struct kdtree * | tree
struct kdnode * | curr_node
struct kdnode * | up [256]
int | top
int | first

## Detailed Description

k-d tree traversal

Definition at line 92 of file kdtree.h.

## Field Documentation

## curr_node

struct kdnode* kdtrav::curr_node

current node

Definition at line 94 of file kdtree.h.

Referenced by kdtree_init_trav(), and kdtree_traverse().

## first

int kdtrav::first

little helper flag

Definition at line 97 of file kdtree.h.

Referenced by kdtree_init_trav(), and kdtree_traverse().

## top

int kdtrav::top

index for stack

Definition at line 96 of file kdtree.h.

Referenced by kdtree_init_trav().

## tree

struct kdtree* kdtrav::tree

tree being traversed

Definition at line 93 of file kdtree.h.

Referenced by kdtree_init_trav().

## up

struct kdnode* kdtrav::up[256]

stack of parent nodes

Definition at line 95 of file kdtree.h.

The documentation for this struct was generated from the following file:

- kdtree.h